Subject: Re: [PATCH v2] doc: Document how to use Patman for patches submission.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 07 Mar 2023 11:46:33 -0500

Hi Simon,

Simon Tournier <[email-masked]> writes:

> From: Maxim Cournoyer <[email-masked]>
>
> Fixes <https://issues.guix.gnu.org/58813>.
>
> * doc/contributing.texi (Sending a Patch Series): Adjust the examples to no
> longer showcase broken command substitutions.
> (Patch management using patman): New section about how to use Patman, with
> examples.
> ---
>  doc/contributing.texi | 111 ++++++++++++++++++++++++++++++++++++++++--
>  doc/guix.texi         |   2 +-
>  2 files changed, 108 insertions(+), 5 deletions(-)
>
> Hi,
>
> My proposal is to have Patch management using patman as a dedicated section.
> This way, we keep the submission guidelines simple using good ol'
> git-send-email.  And by being a dedicated section, it acts as the Perfect
> Setup: that's a tool very handy for doing the patch management task.
>
> WDYT?

Based on the other replies gathered so far, it seems there's little
excitement to learn yet another tool for patch management, so I think
I'll pursue the '--x-cmd' idea I already wrote about here, which would
allow integration directly with 'git send-email'.

-- 
Thanks,
Maxim